Message d'erreur en selectionnant une fenetre atelier Arch

Forum destiné aux questions et discussions en français
Forum rules
Be nice to others! Read the FreeCAD code of conduct!
Post Reply
User avatar
blonblon
Posts: 253
Joined: Sat Sep 24, 2016 6:06 pm
Location: Uzes (Gard), France

Message d'erreur en selectionnant une fenetre atelier Arch

Post by blonblon »

Bonjour

J'ai voulu tester Arch, des utilisateurs parlent de problèmes avec les fenetres.
J'ai dessiné un rectangle avec PartDesing, puis dans Arch j'ai selectionné les quatres contours pour dessiner les murs, les murs s'affichent.
J'ai appliqué une fenetre sur un mur, la fenetre se dessine, ça fonctionne mais déjà dans Vue Rapport il y a des messages.
Puis j'ai juste cliqué sur le Sketch de la fenetre, dans Vue Rapport il y a un message d'erreur.
J'ai cliqué sur l'icone fenetre, dans Vue Rapport il y a un nouveau message d'erreur.

Voici le fichier construit dans la console

Code: Select all

Python 3.6.8 (v3.6.8:3c6b436a57, Mar 26 2019, 15:45:44) [MSC v.1916 64 bit (AMD64)] on win32
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> Gui.runCommand('Std_ViewStatusBar',1)
>>> Gui.runCommand('Std_ViewStatusBar',0)
>>> Gui.runCommand('Std_Workbench',19)
>>> Gui.runCommand('Std_ViewStatusBar',1)
>>> ### Begin command Std_Workbench
>>> Gui.activateWorkbench("PartDesignWorkbench")
>>> ### End command Std_Workbench
>>> ### Begin command Std_New
>>> App.newDocument("Sans nom")
>>> # App.setActiveDocument("Sans_nom")
>>> # App.ActiveDocument=App.getDocument("Sans_nom")
>>> # Gui.ActiveDocument=Gui.getDocument("Sans_nom")
>>> Gui.activeDocument().activeView().viewDefaultOrientation()
>>> ### End command Std_New
>>> Gui.runCommand('Std_OrthographicCamera',1)
>>> ### Begin command Std_Part
>>> App.activeDocument().Tip = App.activeDocument().addObject('App::Part','Part')
>>> App.activeDocument().Part.Label = 'Part'
>>> Gui.activateView('Gui::View3DInventor', True)
>>> Gui.activeView().setActiveObject('part', App.activeDocument().Part)
>>> App.ActiveDocument.recompute()
>>> ### End command Std_Part
>>> ### Begin command PartDesign_Body
>>> App.activeDocument().addObject('PartDesign::Body','Body')
>>> import PartDesignGui
>>> Gui.activateView('Gui::View3DInventor', True)
>>> Gui.activeView().setActiveObject('pdbody', App.activeDocument().Body)
>>> Gui.Selection.clearSelection()
>>> Gui.Selection.addSelection(App.ActiveDocument.Body)
>>> App.activeDocument().Part.addObject(App.ActiveDocument.Body)
>>> App.ActiveDocument.recompute()
>>> ### End command PartDesign_Body
>>> # Gui.Selection.addSelection('Sans_nom','Body')
>>> Gui.runCommand('PartDesign_NewSketch',0)
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Sans_nom','XY_Plane001')
>>> App.getDocument('Sans_nom').getObject('Body').newObject('Sketcher::SketchObject','Sketch')
>>> App.getDocument('Sans_nom').getObject('Sketch').Support = (App.getDocument('Sans_nom').getObject('XY_Plane001'),[''])
>>> App.getDocument('Sans_nom').getObject('Sketch').MapMode = 'FlatFace'
>>> App.ActiveDocument.recompute()
>>> Gui.getDocument('Sans_nom').setEdit(App.getDocument('Sans_nom').getObject('Body'),0,'Sketch.')
>>> import Show
>>> ActiveSketch = App.getDocument('Sans_nom').getObject('Sketch')
>>> tv = Show.TempoVis(App.ActiveDocument, tag= ActiveSketch.ViewObject.TypeId)
>>> ActiveSketch.ViewObject.TempoVis = tv
>>> if ActiveSketch.ViewObject.EditingWorkbench:
>>>   tv.activateWorkbench(ActiveSketch.ViewObject.EditingWorkbench)
>>> if ActiveSketch.ViewObject.HideDependent:
>>>   tv.hide(tv.get_all_dependent(App.getDocument('Sans_nom').getObject('Body'), 'Sketch.'))
>>> if ActiveSketch.ViewObject.ShowSupport:
>>>   tv.show([ref[0] for ref in ActiveSketch.Support if not ref[0].isDerivedFrom("PartDesign::Plane")])
>>> if ActiveSketch.ViewObject.ShowLinks:
>>>   tv.show([ref[0] for ref in ActiveSketch.ExternalGeometry])
>>> tv.hide(ActiveSketch)
>>> del(tv)
>>> 
>>> import PartDesignGui
>>> ActiveSketch = App.getDocument('Sans_nom').getObject('Sketch')
>>> if ActiveSketch.ViewObject.RestoreCamera:
>>>   ActiveSketch.ViewObject.TempoVis.saveCamera()
>>> 
>>> # Gui.Selection.clearSelection()
>>> Gui.runCommand('Sketcher_CreateRectangle',0)
>>> geoList = []
>>> geoList.append(Part.LineSegment(App.Vector(-223.558685,97.322044,0),App.Vector(336.395813,97.322044,0)))
>>> geoList.append(Part.LineSegment(App.Vector(336.395813,97.322044,0),App.Vector(336.395813,-141.046478,0)))
>>> geoList.append(Part.LineSegment(App.Vector(336.395813,-141.046478,0),App.Vector(-223.558685,-141.046478,0)))
>>> geoList.append(Part.LineSegment(App.Vector(-223.558685,-141.046478,0),App.Vector(-223.558685,97.322044,0)))
>>> App.getDocument('Sans_nom').getObject('Sketch').addGeometry(geoList,False)
>>> conList = []
>>> conList.append(Sketcher.Constraint('Coincident',0,2,1,1))
>>> conList.append(Sketcher.Constraint('Coincident',1,2,2,1))
>>> conList.append(Sketcher.Constraint('Coincident',2,2,3,1))
>>> conList.append(Sketcher.Constraint('Coincident',3,2,0,1))
>>> conList.append(Sketcher.Constraint('Horizontal',0))
>>> conList.append(Sketcher.Constraint('Horizontal',2))
>>> conList.append(Sketcher.Constraint('Vertical',1))
>>> conList.append(Sketcher.Constraint('Vertical',3))
>>> App.getDocument('Sans_nom').getObject('Sketch').addConstraint(conList)
>>> 
>>> App.ActiveDocument.recompute()
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.Edge4',-223.559,-33.8512,0.008,False)
>>> ### Begin command Sketcher_ConstrainDistanceY
>>> App.getDocument('Sans_nom').getObject('Sketch').addConstraint(Sketcher.Constraint('DistanceY',3,1,3,2,238.368522)) 
>>> App.getDocument('Sans_nom').getObject('Sketch').setDatum(8,App.Units.Quantity('10000.000000 mm'))
>>> App.ActiveDocument.recompute()
>>> App.ActiveDocument.recompute()
>>> ### End command Sketcher_ConstrainDistanceY
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.Edge1',158.509,2184.98,0.008,False)
>>> ### Begin command Sketcher_ConstrainDistanceX
>>> App.getDocument('Sans_nom').getObject('Sketch').addConstraint(Sketcher.Constraint('DistanceX',0,1,0,2,559.954498)) 
>>> App.getDocument('Sans_nom').getObject('Sketch').setDatum(9,App.Units.Quantity('8000.000000 mm'))
>>> App.ActiveDocument.recompute()
>>> App.ActiveDocument.recompute()
>>> ### End command Sketcher_ConstrainDistanceX
>>> # Gui.Selection.clearSelection()
>>> Gui.getDocument('Sans_nom').resetEdit()
>>> App.ActiveDocument.recompute()
>>> ActiveSketch = App.getDocument('Sans_nom').getObject('Sketch')
>>> tv = ActiveSketch.ViewObject.TempoVis
>>> if tv:
>>>   tv.restore()
>>> ActiveSketch.ViewObject.TempoVis = None
>>> del(tv)
>>> 
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.')
>>> App.getDocument('Sans_nom').recompute()
>>> ### Begin command Std_ViewFitAll
>>> Gui.SendMsgToActiveView("ViewFit")
>>> ### End command Std_ViewFitAll
>>> ### Begin command Std_Workbench
>>> Gui.activateWorkbench("ArchWorkbench")
>>> import PartDesignGui
>>> ### End command Std_Workbench
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.Edge4',-5575.94,386.546,0)
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.Edge1',-3281.35,2184.98,0)
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.Edge2',2424.06,-1141,0)
>>> # Gui.Selection.addSelection('Sans_nom','Part','Body.Sketch.Edge3',-2004.91,-7815.02,0)
>>> ### Begin command Arch_Wall
>>> import Arch
>>> obj = Arch.makeWall(FreeCAD.ActiveDocument.Sketch)
>>> import Draft
>>> Draft.autogroup(obj)
>>> ### End command Arch_Wall
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Sans_nom','Part','Wall.Face4',-5675.94,-1491.54,1361.27)
>>> Gui.runCommand('Arch_Window',0)
>>> import math,FreeCAD,Arch,WorkingPlane
>>> pl = WorkingPlane.getPlacementFromFace(FreeCAD.ActiveDocument.Wall.Shape.Faces[3])
>>> pl.Base = FreeCAD.Vector(-5675.94189453125,557.9037475585938,1054.6246337890625)
>>> win = Arch.makeWindowPreset("Fixed",width=1000.0,height=1000.0,h1=100.0,h2=100.0,h3=100.0,w1=200.0,w2=100.0,o1=0.0,o2=100.0,placement=pl)
>>> win.Hosts = [FreeCAD.ActiveDocument.Wall]
>>> # Gui.Selection.clearSelection()
>>> # Gui.Selection.addSelection('Sans_nom','Part','Wall.Vertex8',-5675.94,557.904,1054.62)
>>> # Gui.Selection.clearSelection()
>>> 
Le fichier Vue Rapport

Code: Select all

1e-07 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.0001004 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.0001265 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.000151 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.0001739 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.148534 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
0.148683 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
0.148754 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
0.148821 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
0.148885 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
Choisissez une face sur un objet existant, ou sélectionnez un paramètre prédéfini
Part::FeaturePython / Window: Links go out of the allowed scope
106.19 Selection.cpp(1589): Sub-object Sans_nom#Part.Wall.Window. not found
117.617 Selection.cpp(1589): Sub-object Sans_nom#Part.Wall.Window.Sketch001. not found
La version de FreeCAD
OS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20477 (Git)
Build type: Release
Branch: master
Hash: 7d8ab175a68e476427e6e337fe3099b52da49dc8
Python version: 3.6.8
Qt version: 5.12.1
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/France (fr_FR)
User avatar
blonblon
Posts: 253
Joined: Sat Sep 24, 2016 6:06 pm
Location: Uzes (Gard), France

Re: Message d'erreur en selectionnant une fenetre atelier Arch

Post by blonblon »

Je viens de tester avec la version 0.16 et la ça fonctionne

J'ai procédé de la meme façon que le post précédent et là pas d'erreur on peut déplacer la fenetre

Fichier Vue Rapport

Code: Select all

Arch workbench activated
Choisissez une face sur un objet existant, ou sélectionnez un paramètre prédéfini Arch workbench deactivated
Arch workbench activated
Choisissez une face sur un objet existant, ou sélectionnez un paramètre prédéfini 
Version FreeCAD

OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.16.6712 (Git)
Build type: Release
Branch: releases/FreeCAD-0-16
Hash: da2d364457257a7a8c6fb2137cea12c45becd71a
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17
User avatar
blonblon
Posts: 253
Joined: Sat Sep 24, 2016 6:06 pm
Location: Uzes (Gard), France

Re: Message d'erreur en selectionnant une fenetre atelier Arch

Post by blonblon »

Aprés reflexion je pense qu'une erreur a été introduite avec le changement de version et que cela n'est pas du au renommage topologique
User avatar
blonblon
Posts: 253
Joined: Sat Sep 24, 2016 6:06 pm
Location: Uzes (Gard), France

Re: Message d'erreur en selectionnant une fenetre atelier Arch

Post by blonblon »

J'ai testé la version 0.18

Meme procédure que le premier post, cela fonctionne cependant il y a des avertissements

Code: Select all

Part::FeaturePython / Wall: Links go out of the allowed scope
Choisissez une face sur un objet existant, ou sélectionnez un paramètre prédéfini

Point options : S:Activer / Désactiver, [:Augmenter le rayon d'accrochage, ]:Augmenter le rayon d'accrochage, X:Restreindre les X, Y:Restreindre les Y, Z:Restreindre les Z, Q:Ajouter des point d’accrochage personnalisé, `:Objet d'accrochage de cycle

Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Part::FeaturePython / Wall: Links go out of the allowed scope
Version FreeCAD
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16117 (Git)
Build type: Release
Branch: releases/FreeCAD-0-18
Hash: dbb4cc6415bac848a294f03b80f65e888d531742
Python version: 3.6.6
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: French/France (fr_FR)
User avatar
blonblon
Posts: 253
Joined: Sat Sep 24, 2016 6:06 pm
Location: Uzes (Gard), France

Re: Message d'erreur en selectionnant une fenetre atelier Arch

Post by blonblon »

Bonsoir

La nouvelle version 0.19 n'a pas corrigé le problème des fenétres dans Arch, plus rien ne s'affiche dans l'arborescence,
Meme procédure que le premier post.

Messages du Vue Rapport

Code: Select all

Part::FeaturePython / Wall: Links go out of the allowed scope
0 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
6.63e-05 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.00016 Tree.cpp(4126): [ComboView] sub object not found Body.Sketch.
0.196816 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
0.196975 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
0.197057 Tree.cpp(4126): [TreeView] sub object not found Body.Sketch.
Choisissez une face sur un objet existant, ou sélectionnez un paramètre prédéfini
Running the Python command 'Arch_Window' failed:
Traceback (most recent call last):
  File "C:\Users\B\Documents\FREECAD\Freecad 0.19\FreeCAD_0.19.20514-Win-Conda_vc14.x-x86_64\FreeCAD_0.19.20514-Win-Conda_vc14.x-x86_64\Mod\Arch\ArchWindow.py", line 664, in Activated
    FreeCADGui.Snapper.getPoint(callback=self.getPoint,movecallback=self.update,extradlg=self.taskbox())
  File "C:\Users\B\Documents\FREECAD\Freecad 0.19\FreeCAD_0.19.20514-Win-Conda_vc14.x-x86_64\FreeCAD_0.19.20514-Win-Conda_vc14.x-x86_64\Mod\Arch\ArchWindow.py", line 788, in taskbox
    presetdir = os.path.join(FreeCAD.getUserAppDataDir(),"Arch")

local variable 'os' referenced before assignment
Version FreeCAD
OS: Windows 10 (10.0)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.20514 (Git)
Build type: Release
Branch: master
Hash: a05ffd499366ab12fa1b43f37db73f4f1e9c332d
Python version: 3.8.2
Qt version: 5.12.5
Coin version: 4.0.0
OCC version: 7.4.0
Locale: French/France (fr_FR)
Post Reply